FROM alpine:3.14

RUN apk update && apk add --no-cache nodejs npm make g++ git

RUN git clone https://github.com/oatpp/oatpp.git && cd oatpp/ && mkdir build && cd build && cmake .. && make install

WORKDIR /app

COPY . .

RUN npm install

CMD ["npm", "run", "build"]

EXPOSE 8080
